var yy = null;
var mm = null;
var dd = null;
var hh = null;
var hhmm = null;
var date = null;

var timer =  null;

jQuery(window).on('load', function() {

	makeRainFallInfo();
	
	//시간버튼 클릭 시 
	jQuery('.imgBtn').click(function(){
		var targetDate = jQuery('.subContentTable > .subContentCurrInfoArea > .currDateDiv > #currDateInfo');
		var boolean = jQuery(this).is('.on');
		
		if(!boolean){
			
			jQuery('.imgBtn').removeClass('on');
			jQuery(this).addClass('on');
			
			var imgUrl = jQuery(this).attr("src");
			var day = jQuery(this).attr("date");
			setDate(day);

			jQuery('#sfcRainlessTbody IMG').attr('src', imgUrl);
			targetDate.text(date);
		}
	});
	
	//다음 버튼 클릭 했을 시 
	jQuery('.next_btn').click(function(){
		var target = jQuery('.subContentClickBox.selectIcon LI A.on');
		jQuery(target).parent().next().find('A').trigger('click');
	});
	
	//이전 버튼 클릭 했을 시
	jQuery('.prev_btn').click(function(){
		var target = jQuery('.subContentClickBox.selectIcon LI A.on');
		jQuery(target).parent().prev().find('A').trigger('click');
	});
	
	//재생 버튼 클릭 했을 시 
	jQuery(".play_btn").click(function(){
		
		var boolean = jQuery('.play_btn').is('.on');
		if(boolean){
			clearInterval(timer);
			jQuery('.play_btn').removeClass('on').addClass('off');
			jQuery('.play_btn.off').find('img').attr('src', '/resources/images/icon/play_btn.png');
		}else{
			var indexCp = jQuery('.subContentClickBox.selectIcon LI').length-1;
			jQuery('.play_btn').removeClass('off').addClass('on');
			jQuery('.play_btn.on').find('img').attr('src', '/resources/images/icon/stop_btn.png');

			timer = setInterval(function (){
				
				var target = jQuery('.subContentClickBox.selectIcon LI A.on')
				var index = target.parent().index();
				
				if(index === indexCp){
					clearInterval(timer);
					jQuery('.play_btn').removeClass('on').addClass('off');
					jQuery('.play_btn.off').find('img').attr('src', '/resources/images/icon/play_btn.png');
					
					return;
				}
				jQuery(target).parent().next().find('A').trigger('click');
				
			}, 1500);
		}
	})
});

//강우 레이더 정보 조회 
function makeRainFallInfo(){

	//var url = "http://api.hrfco.go.kr/52832662-D130-4239-9C5F-730AD3BE6BC6/radar/list/COMP.json";
	ajax.call('agr_measure_info/menu_sfc/getHrfcoRadarInfo.do', 'POST', null, null, false, function(data) {
				
		var d = data.DATA;
		var content = null;
		d = JSON.parse(d);
		
		content = d.content;
				
		if(content && content.length > 0 ){
			initRainFallInfo(content);
		}
	});
}

//강우 레이더 정보 조회 데이터 뿌리기
function initRainFallInfo(content){
	
	var targetTBodyImg = jQuery("#sfcRainlessTbody IMG");
	var target = jQuery(".subContentClickBox.selectIcon ul");
	var targetDate = jQuery('.subContentTable > .subContentCurrInfoArea > .currDateDiv > #currDateInfo');	
	
	for(var i =0; i < content.length; i++){
		
		var img = content[i].img; 
		var lastIdx = img.lastIndexOf("COMP");	
		var day = img.substring(lastIdx + 4, img.length - 4);
		
		setDate(day);
		
		var liTag = "<li><a href='#' class = 'imgBtn' src = " +  img + " date =" + day + ">" + hhmm + "</a></li>";
		target.append(liTag);
		
		if(i == content.length-1){
			var imgUrl = content[i].img;
			target.find("li").last().find("a").addClass('on');
			
			targetTBodyImg.attr("src",  imgUrl);
			targetDate.text(date);
		}else{
			
			
		}	
	}	
};

//날짜 셋팅 
function setDate(day){
	
	yy = day.substr(0,4);
	mm = day.substr(4,2);
	dd = day.substr(6,2);
	hhmm = day.substr(8,2) + ":" + day.substr(-2);
	date = yy + "-" + mm + "-" + dd + " " + hhmm;
}